Package org.apache.catalina.startup

## Class ClassLoaderFactory.Repository

- java.lang.Object
- - org.apache.catalina.startup.ClassLoaderFactory.Repository

Enclosing class:
  ClassLoaderFactory

    public static class ClassLoaderFactory.Repository
    extends Object

### Constructor Summary

Constructors
`Repository​(String location, ClassLoaderFactory.RepositoryType type)`

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `getLocation()`
`ClassLoaderFactory.RepositoryType` `getType()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Repository

    public Repository​(String location,
                      ClassLoaderFactory.RepositoryType type)

### Method Detail

#### getLocation

    public String getLocation()

#### getType

    public ClassLoaderFactory.RepositoryType getType()